From cdc6a5cf9fedd5ecf1604443413642d3cbce80e5 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 12 Jun 2009 13:43:35 +0200
Subject: [PATCH] Disable tests (some fail on ARM)

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mysql.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/mysql.spec b/mysql.spec
index fc46e99..bb21c9f 100644
--- a/mysql.spec
+++ b/mysql.spec
@@ -1,6 +1,6 @@
 Name: mysql
 Version: 5.1.39
-Release: 4%{?dist}
+Release: 4%{?dist}.fa1
 Summary: MySQL client programs and shared libraries
 Group: Applications/Databases
 URL: http://www.mysql.com
@@ -242,6 +242,7 @@ gcc -I../../include $CFLAGS mysql-embedded-check.c libmysqld.so.0
 LD_LIBRARY_PATH=. ldd ./a.out
 cd ../..
 
+%ifnarch %{arm}
 make check
 
 %if %runselftest
@@ -261,6 +262,7 @@ make check
   # if you want to change this, look at mysql-testing.patch too.
   make test-ns
 %endif
+%endif
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -649,6 +651,9 @@ fi
 %{_mandir}/man1/mysql_client_test.1*
 
 %changelog
+* Tue Nov 10 2009 Kedar Sovani <kedars@marvell.com> - 5.1.39-4.fa1
+- Disable tests (some fail on ARM)
+
 * Sat Oct 17 2009 Tom Lane <tgl@redhat.com> 5.1.39-4
 - Replace kluge fix for ndbd sparc crash with a real fix (mysql bug 48132)
 
-- 
1.5.5.6

